<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('road_observation_histories', function (Blueprint $table) {
            $table->unsignedBigInteger('id');
            $table->unsignedInteger('user_id')->nullable()->index('road_observation_histories_user_id_foreign');
            $table->string('action', 100)->nullable();
            $table->timestamps();
            $table->unsignedBigInteger('edarate_shahri_id')->nullable();
            $table->string('description', 255)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('road_observation_histories');
    }
};
